> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dwe.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete multiple recordings



## OpenAPI

````yaml https://github.com/DeepwaterExploration/dweOS/releases/latest/download/openapi.json post /api/recordings/bulk-delete
openapi: 3.1.0
info:
  title: DWE OS API
  description: API for DWE OS
  version: 0.1.0
servers: []
security: []
paths:
  /api/recordings/bulk-delete:
    post:
      tags:
        - recordings
      summary: Delete multiple recordings
      operationId: bulk_delete_recording_api_recordings_bulk_delete_post
      requestBody:
        content:
          application/json:
            schema:
              items:
                type: string
              type: array
              title: Filenames
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/RecordingInfo'
                type: array
                title: Response Bulk Delete Recording Api Recordings Bulk Delete Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RecordingInfo:
      properties:
        path:
          type: string
          title: Path
        name:
          type: string
          title: Name
        format:
          type: string
          title: Format
        duration:
          type: string
          title: Duration
        size:
          type: string
          title: Size
        created:
          type: string
          title: Created
      type: object
      required:
        - path
        - name
        - format
        - duration
        - size
        - created
      title: RecordingInfo
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````